MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
sc::Int2eCCA Class Reference

Int2eCCA adapts CCA integrals components for use within SC. More...

`#include <int2e.h>`

Inheritance diagram for sc::Int2eCCA:

List of all members.

## Public Member Functions

| Int2eCCA (Integral *integral, const Ref< GaussianBasisSet > &b1, const Ref< GaussianBasisSet > &b2, const Ref< GaussianBasisSet > &b3, const Ref< GaussianBasisSet > &b4, int order, size_t storage, IntegralEvaluatorFactory, bool, string)
double * | buffer ()
void | compute_erep (int is, int js, int ks, int ls)
void | compute_erep_1der (int is, int js, int ks, int ls, Chemistry::QC::GaussianBasis::DerivCenters &dc)
int | redundant () const
void | set_redundant (int i)

## Protected Attributes

Integral * | integral_

## Detailed Description

Int2eCCA adapts CCA integrals components for use within SC.

It is used by TwoBodyIntCCA and TwoBodyDerivIntCCA to implement the IntegralCCA class.

The documentation for this class was generated from the following file:

- intcca/int2e.h